Package org.eclipse.mat.parser.index

## Class IndexReader

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexReader

    public abstract class IndexReader
    extends java.lang.Object

Implementations to read index files.

### Nested Class Summary

Nested Classes
`static class` `IndexReader.IntIndex1NSortedReader`
`static class` `IndexReader.IntIndexReader` An int to int index reader.
`static class` `IndexReader.LongIndex1NReader`
`static class` `IndexReader.LongIndexReader` Creates a int to long index reader Disk file structure:
`static class` `IndexReader.SizeIndexReader` Creates a index reader for array sizes, presuming the sizes are stored as ints and get expanded in the reverse of the compression.

### Field Summary

Fields
`static boolean` `DEBUG` Debug flag for use by developers of MAT

### Constructor Summary

Constructors
`IndexReader()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG

    public static final boolean DEBUG

Debug flag for use by developers of MAT

See Also:
  Constant Field Values

### Constructor Detail

#### IndexReader

    public IndexReader()